function [x]=Newton_F_delayed_vdP(x,lambda)

%%% input: x = (omega,a), where
%%%    - omega is the (complex) frequency of the periodic solution
%%%    - a is the vector of Fourier coefficients in C^(2m-1)
%%%    - lambda is the parameter

tol=1e-12; %% tolerance for Newton's method

F=F_delayed_vdP(x,lambda);
nf=norm(F);
k=0;
%display(['At the beggining, the norm of F = ',num2str(nf)])

while (k<=100) && (nf > tol)
    DF = DF_delayed_vdP(x,lambda);
    x=x-DF\F_delayed_vdP(x,lambda);
    F=F_delayed_vdP(x,lambda);
    nf=norm(F);
    %display(['It # ',num2str(k+1),' "F" = ',num2str(nf),' "DF^(-1)" = ',num2str(norm(inv(DF)))])
    k=k+1;  
end

%plot_periodic_complex(x)

end