function [dF_dlbda] = dF_dlambda_delayed_vdP(x)

%%% input: x = (omega,a), where
%%%    - omega is the (complex) frequency of the periodic solution
%%%    - a is the vector of Fourier coefficients in C^(2m-1)
%%%    - lambda is the parameter

a = x(2:end);
dF_dlbda=[0;-a];

end

