function [A] = symmetrize_A(A0)

m=length(A0)/2;

A_L0 = real(A0(1,1));

A_a0 = [conj(flip(A0(1,m+2:2*m),2)) real(A0(1,m+1)) A0(1,m+2:2*m)];
A_a0(2:2:end)=0;

A_L1 = [conj(flip(A0(m+2:2*m,1),1));real(A0(m+1,1));A0(m+2:2*m,1)];
A_L1(2:2:end)=0;

A_a10 = A0(2:end,2:end);
A_a1 = zeros(2*m-1);
A_a1(1:m-1,1:m-1) = conj(flip(flip(A_a10(m+1:end,m+1:end),1),2));
A_a1(1:m-1,m) = conj(flip(A_a10(m+1:end,m),1));
A_a1(1:m-1,m+1:end) = conj(flip(flip(A_a10(m+1:end,1:m-1),1),2));

A_a1(m:end,:) = A_a10(m:end,:);

%%% We now make sure that the necessary entries are 0

for k = 2:2:2*m-1,
    A_a1(k,1:2:end)=0;
end

A = [[A_L0 A_a0];[A_L1 A_a1]];

end

